use std::hint::black_box;

use svg_filters::{
    codegen::SvgDocument,
    types::{
        graph::edge::Edge,
        nodes::{
            primitives::{
                blend::BlendMode,
                color_matrix::ColorMatrixType,
                turbulence::{NoiseType, StitchTiles, Turbulence},
                FePrimitive,
            },
            standard_input::StandardInput,
        },
    },
    Node,
};

fn main() {
    let mut doc = SvgDocument::new();

    let noise = doc.create_filter("noise");

    noise.add_node(Node::simple(FePrimitive::Turbulence(Turbulence {
        base_frequency: (0.2, 0.2),
        num_octaves: 1,
        seed: 2,
        stitch_tiles: StitchTiles::NoStitch,
        noise_type: NoiseType::FractalNoise,
    })));

    eprintln!("{}", doc.generate_svg_pretty());
    println!("{}", doc.generate_svg());
}
